c64 Class Reference

`#include <c64.h>`

Inheritance diagram for c64:

## Public Types

enum | model_t { PAL_B = 0, NTSC_M, OLD_NTSC_M, PAL_N }

## Public Member Functions

void | debug (bool enable, FILE *out)
void | reset ()
void | resetCpu ()
void | setModel (model_t model)
void | setRoms (const uint8_t *kernal, const uint8_t *basic, const uint8_t *character)
double | getMainCpuSpeed () const
void | setSid (unsigned int i, c64sid *s)
void | setSecondSIDAddress (int sidChipBase2)
sidmemory * | getMemInterface ()
uint_least16_t | getCia1TimerA () const
EventScheduler * | getEventScheduler ()
const EventScheduler & | getEventScheduler () const
const char * | cpuCredits () const
const char * | ciaCredits () const
const char * | vicCredits () const

## Static Public Attributes

static const unsigned int | MAX_SIDS = 2

## Detailed Description

Commodore 64 emulation core.

It consists of the following chips: PLA, MOS6510, MOS6526(a), VIC 6569(PAL)/6567(NTSC), RAM/ROM.

Author
  Antti Lankila
  Ken Händel
  Leandro Nini

## Member Enumeration Documentation

enum c64::model_t

Enumerator
PAL_B | PAL C64.
NTSC_M | NTSC C64.
OLD_NTSC_M | Old NTSC C64.
PAL_N | C64 Drean.

## Member Function Documentation

const char* c64::ciaCredits | ( |  | ) | const

inline

Get the components credits

const char* c64::cpuCredits | ( |  | ) | const

inline

Get the components credits

EventScheduler* c64::getEventScheduler | ( |  | ) |

inline

Get C64's event scheduler

Returns
  the scheduler

const EventScheduler& c64::getEventScheduler | ( |  | ) | const

inline

Get C64's event scheduler

Returns
  the scheduler

double c64::getMainCpuSpeed | ( |  | ) | const

inline

Get the CPU clock speed.

Returns
  the speed in Hertz

void c64::setModel | ( | model_t | model | ) |

Set the c64 model.

void c64::setSecondSIDAddress | ( | int | sidChipBase2 | ) |

Set the base address of a stereo SID chip.
Valid addresses includes the SID area ($d400-$d7ff) and the IO Area ($de00-$dfff).

Parameters

  sidChipBase2 | base address (e.g. 0xd420) 0 to remove second SID

void c64::setSid | ( | unsigned int | i,
|  | c64sid * | s
| ) |  |

Set the requested SID

Parameters

  i | sid number to set
  s | the sid emu to set, or 0 to remove

const char* c64::vicCredits | ( |  | ) | const

inline

Get the components credits

## Member Data Documentation

const unsigned int c64::MAX_SIDS = 2

static

Maximum number of supported SIDs (mono and stereo)

The documentation for this class was generated from the following files:

- c64.h
- c64.cpp